Bug 116380 - Two serial powercontrollers on the same port on two different nodes are not accepted
Summary: Two serial powercontrollers on the same port on two different nodes are not a...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: clumanager   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-20 17:19 UTC by Pancrazio `ezio' de Mauro
Modified: 2009-04-16 20:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-19 16:12:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The test configuration file (1.52 KB, text/plain)
2004-02-20 17:20 UTC, Pancrazio `ezio' de Mauro
no flags Details
Fixes the problem... (1.14 KB, patch)
2004-02-20 21:13 UTC, Lon Hohberger
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:122 normal SHIPPED_LIVE Updated clumanager and redhat-config-cluster packages fix various bugs 2004-05-12 04:00:00 UTC

Description Pancrazio `ezio' de Mauro 2004-02-20 17:19:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7 StumbleUpon/1.89

Description of problem:
The following snippet of cluster.xml:

  <members>
    <member id="0" name="lnxc-026" watchdog="yes">
      <powercontroller device="/dev/ttyS0" id="0" port="All"
type="rps10"/>
    </member>
    <member id="1" name="lnxc-352" watchdog="yes">
      <powercontroller device="/dev/ttyS0" id="0" port="All"
type="rps10"/>
    </member>
  </members>


causes both nodes to output:

<warning> rps10 at /dev/ttyS0 with port All already controls member
#0; ignoring
<warning> STONITH: No drivers configured for host 'lnxc-352'!
<warning> STONITH: Data integrity may be compromised!

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. use the attached cluster.xml
2. start cluster manager
3. look at the logs
    

Actual Results:  The messages shown above

Expected Results:  cluquorumd should accept this configuration

Additional info:

Comment 1 Pancrazio `ezio' de Mauro 2004-02-20 17:20:29 UTC
Created attachment 97866 [details]
The test configuration file

Comment 2 Lon Hohberger 2004-02-20 17:22:26 UTC
For now, try using a different serial port on one of the cluster members.



Comment 3 Lon Hohberger 2004-02-20 21:13:13 UTC
Created attachment 97887 [details]
Fixes the problem...

Comment 4 Suzanne Hillman 2004-03-19 16:12:25 UTC
Verified.

Comment 5 Lon Hohberger 2007-12-21 15:10:28 UTC
Fixing product name.  Clumanager on RHEL3 was part of RHCS3, not RHEL3


Note You need to log in before you can comment on or make changes to this bug.